Apache log4cxx Version @version@

Classes | Namespaces | Macros
file.h File Reference

## Classes
class | File
| An abstract representation of file and directory path names. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | LOG4CXX_FILE(name) log4cxx::File(name)

## Macro Definition Documentation

## ◆ LOG4CXX_FILE

#define LOG4CXX_FILE | ( |  | name | ) | log4cxx::File(name)